The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Xen: information disclosure via xenoprof

Synthesis of the vulnerability 

An attacker, inside a guest system, can bypass access restrictions to data via xenoprof of Xen, in order to obtain sensitive information on the host system.
Impacted software: XenServer, Debian, Fedora, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES, Xen.
Severity of this computer vulnerability: 1/4.
Number of vulnerabilities in this bulletin: 2.
Creation date: 14/04/2020.
Références of this announce: CERTFR-2020-AVI-205, CERTFR-2020-AVI-213, CTX270837, CVE-2020-11740, CVE-2020-11741, DSA-4723-1, FEDORA-2020-295ed0b1e0, FEDORA-2020-cbc3149753, openSUSE-SU-2020:0599-1, SUSE-SU-2020:1124-1, SUSE-SU-2020:1138-1, SUSE-SU-2020:1139-1, SUSE-SU-2020:14444-1, SUSE-SU-2020:14448-1, SUSE-SU-2020:1630-1, SUSE-SU-2020:1634-1, SUSE-SU-2020:2234-1, VIGILANCE-VUL-32008, XSA-313.

Description of the vulnerability 

An attacker, inside a guest system, can bypass access restrictions to data via xenoprof of Xen, in order to obtain sensitive information on the host system.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This cybersecurity vulnerability impacts software or systems such as XenServer, Debian, Fedora, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES, Xen.

Our Vigil@nce team determined that the severity of this vulnerability is low.

The trust level is of type confirmed by the editor, with an origin of user shell.

This bulletin is about 2 vulnerabilities.

An attacker with a expert ability can exploit this weakness alert.

Solutions for this threat 

Xen: version 4.11.4.
The version 4.11.4 is fixed:
  https://xenbits.xenproject.org/gitweb/?p=xen.git;a=shortlog;h=refs/heads/stable-4.11

Xen: patch for xenoprof.
A patch is available:
  http://xenbits.xen.org/xsa/xsa313-1.patch
  http://xenbits.xen.org/xsa/xsa313-2.patch

Citrix XenServer/Hypervisor: patch.
A patch is available:
  Citrix Hypervisor 8.1: CTX270795 https://support.citrix.com/article/CTX270795
  Citrix Hypervisor 8.0: CTX270794 https://support.citrix.com/article/CTX270794
  Citrix XenServer 7.1 LTSR CU2: CTX270793 https://support.citrix.com/article/CTX270793
  Citrix XenServer 7.0: CTX270792 https://support.citrix.com/article/CTX270792

Debian 10: new xen packages.
New packages are available:
  Debian 10: xen 4.11.4+24-gddaaccbbab-1~deb10u1

Fedora 30-31: new xen packages.
New packages are available:
  Fedora 30: xen 4.11.4-1.fc30
  Fedora 31: xen 4.12.2-3.fc31

openSUSE Leap 15.1: new xen packages.
New packages are available:
  openSUSE Leap 15.1: xen 4.12.2_04-lp151.2.15.1

SUSE LE 11 SP3: new xen packages.
New packages are available:
  SUSE LE 11 SP3: xen 4.2.5_22-45.36.1

SUSE LE 12 SP2: new xen packages.
New packages are available:
  SUSE LE 12 SP2: xen 4.7.6_08-43.64.1

SUSE LE 12 SP3: new xen packages (17/06/2020).
New packages are available:
  SUSE LE 12 SP3: xen 4.9.4_06-3.62.1

SUSE LE 12 SP4: new xen packages (05/08/2020).
New packages are available:
  SUSE LE 11 SP4: xen 4.4.4_42-61.52.1

SUSE LE 12 SP4, SP5: new xen packages.
New packages are available:
  SUSE LE 12 SP4: xen 4.11.3_04-2.23.1
  SUSE LE 12 SP5: xen 4.12.2_04-3.11.1

SUSE LE 15 RTM: new xen packages.
New packages are available:
  SUSE LE 15 RTM: xen 4.10.4_10-3.31.1

SUSE LE 15 SP1: new xen packages.
New packages are available:
  SUSE LE 15 SP1: xen 4.12.2_04-3.15.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a cybersecurity alert. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system.